import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { useMemo } from "react";
import { ColorsVariables } from "./constants.js";
export const ColorProvider = ({ children, colors }) => {
    const cssVariables = useMemo(() => {
        const colorArray = Object.entries(colors);
        return Object.fromEntries(colorArray.map(([key, value]) => {
            return [ColorsVariables[key], value];
        }));
    }, [colors]);
    return _jsx("div", { style: cssVariables, children: children });
};
//# sourceMappingURL=color-provider.js.map